forum d'entraide Sketchup Artlantis Archicad et bien d'autres
Bonjour sunny

Bonjour et bienvenue sur biblio3d, forum destiné à l'entraide concernant plus particulièrement les logiciels

SKETCHUP - ARTLANTIS - ARCHICAD - PIRANESI
Basketball

Attention : concernant les nouveaux venus, l'inscription est obligatoire pour accéder à la totalité du forum. Après inscription, veuillez vous présenter dans la section adéquate. Nous serons ravis de vous souhaiter la bienvenue dans la communauté ! sourire
Galerie


format r.b Empty
addthis
Derniers sujets
» [ ARCHICAD ] Affichage des fenêtres de toiture en plan
par Farkas Aujourd'hui à 20:21

» [ ARCHICAD ] Archicad 24
par Ti Pack Aujourd'hui à 16:42

» [ FORUM ] Nouveaux pouces
par Coulou Aujourd'hui à 16:34

» [ ENSCAPE ] version preview de Enscape 2.8 du 8 juillet 2020
par youyou40 Aujourd'hui à 11:53

» [ WIP_ANIMATIONS ] petite animation twinmotion
par nono.lerat Mar 7 Juil 2020 - 17:39

» [AUTRES LOGICIELS] Moi3D beta 4.0 - 64 bits Mac / PC 22 Janvier 2020
par Pilou Lun 6 Juil 2020 - 23:12

» [ SKETCHUP plugins ] Transformer des Objets par une image!
par Dav_id Lun 6 Juil 2020 - 11:05

» [ AUTRES LOGICIELS ] Adobe a modifié les licences des outils Substance
par Dav_id Lun 6 Juil 2020 - 11:03

» [ SKETCHUP plugins ] Animator
par rascal Dim 5 Juil 2020 - 21:46

» [ AUTRES LOGICIELS ] Test de Simlab Composer 10 : vitesse de rendu enfin améliorée
par odrik Dim 5 Juil 2020 - 20:04

» [ ARCHICAD ] Représentation dernière marche escalier 2D vs 3D
par Wutxo Sam 4 Juil 2020 - 12:03

» [ AUTRES LOGICIELS ] Marmoset Toolbag ... ? Personne ne connait ?
par Pilou Sam 4 Juil 2020 - 8:49

» [SKETCHUP composants dynamiques]Tutos pour la création de composants dynamiques
par nono.lerat Ven 3 Juil 2020 - 10:06

» [ TWINMOTION ] La synchronisation avec SketchUP?
par Dav_id Jeu 2 Juil 2020 - 9:22

» [ SKETCHUP généralité ] Modification d'échelle qui part en cahuète
par tenrev Jeu 2 Juil 2020 - 8:21

» [ ARCHICAD ] - Escalier triple quart tournant
par Coulou Mer 1 Juil 2020 - 17:06

» [ ARCHICAD ] Jonction mur rideau
par Coulou Mer 1 Juil 2020 - 16:26

» [ AUTRES LOGICIELS ] Fusion 360
par Pilou Mer 1 Juil 2020 - 11:34

» [ ARCHICAD ] Gérer la résolution de courbure d'une coque ou forme
par Coulou Mar 30 Juin 2020 - 17:37

» [ SKETCHUP généralité ] Soucis graphique
par Ancelord Mar 30 Juin 2020 - 11:21

» [PLUG IN SKETCHUP] SketchUp to Blender 2.8x (Blender 2.80/2.81/2.82/2.82a/2.83) - Importing Tutorial
par Dav_id Lun 29 Juin 2020 - 19:19

» [ TWINMOTION ] Nouveau site de ressources
par tenrev Lun 29 Juin 2020 - 18:15

» [ PRESENTATION ]
par Dav_id Lun 29 Juin 2020 - 12:15

» [AUTRES LOGICIELS] MagicaVoxel!
par Pilou Lun 29 Juin 2020 - 11:44

» [ AUTRES LOGICIELS ] Moteur de Rendu CAD RAYS pour Nurbs, CAD etc free
par Pilou Dim 28 Juin 2020 - 19:31

biblio3d
biblio3d sur facebook
biblio3d sur Linkedin
pinterest
upload



Uploader ici vos fichiers
à partager sur le forum

livre doh Sketchup

format r.b

Aller en bas

format r.b Empty format r.b

Message par william bilcot le Dim 26 Sep 2010 - 20:47

salut a tout le monde.

je cherche un programme pour lire un scrip r.b.
pour installer un plugin sketchup.

merci.

#-----------------------------------------------------------------------------
# polar_zonohedron v 1.0
# Copyright 2010, Rob Bell
# author: Rob Bell
#
# Permission to use, copy, modify, and distribute this software for
# any purpose and without fee is hereby granted, provided the above
# copyright notice appear in all copies
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------


require "sketchup.rb"

include Math

def polar_zonohedron #frequency, pitch = atan(sqrt(2)/2), len = 1.0 # frequency,pitch,length


mo = Sketchup.active_model
mo.start_operation $exStrings.GetString("polar_zonohedron")


prompts = [$exStrings.GetString("Frequency"), $exStrings.GetString("Pitch in radians"), $exStrings.GetString("Length")]
values = [8, "atan( sqrt(2)/2 )", 12.inch]
results = inputbox prompts, values, $exStrings.GetString("Polar Zonohedron")

return if not results # This means that the user canceld the operation

frequency = results[0]
pitch = eval( results[1] )
len = results[2]


ents = mo.active_entities
grp = ents.add_group
ents = grp.entities

pts=[]

#we begin by setting pts[0] to the origin
pts[0] = Geom::Point3d.new(0,0,0)

vector = Geom::Vector3d.new(cos(pitch),0,sin(pitch) ) #tilt pitch vector up the xz plane
vector.length = len

#Using the origin as the initial generator we iterate thru each zone of the zonohedron
#our first task is to define the four points of the base rhomb for this zone
#at the end the pts[3] becomes our new origin for the rhomb of the next zone
1.upto(frequency-1){ |i|
p_rotate = Geom::Transformation.rotation( pts[0] , Geom::Vector3d.new(0,0,1), i*2*PI/frequency )

#obtain the other three points of the rhomb face
pts[1] = pts[0].transform vector
pts[3] = pts[1].transform( p_rotate )
pts[2] = pts[3].transform( vector )

#we now have the 4 points which make this zone's base rhomb
#so we rotate around the origin frequency times making a star pattern of faces
0.upto(frequency-1){ |j|
f_rotate = Geom::Transformation.rotation( Geom::Point3d.new(0,0,0) , Geom::Vector3d.new(0,0,1), j*2*PI/frequency )
ents.add_face( pts.collect{|p| p.transform(f_rotate)} )
}

#set the origin for the rhomb of the next zone
pts[0] = pts[3]

}
mo.commit_operation
end




if( not file_loaded?("polar_zonohedron.rb") )
add_separator_to_menu("Plugins")
UI.menu("Plugins").add_item($exStrings.GetString("Polar Zonohedron")) { polar_zonohedron }
end
#-----------------------------------------------------------------------------
file_loaded("polar_zonohedron.rb")


william bilcot
william bilcot
Loquace
Loquace

Masculin Scorpion
Date d'inscription : 14/10/2009
Nombre de messages : 53
Points : 81
Age : 43
Localisation : bretagne
Emploi : charpentier

Revenir en haut Aller en bas

format r.b Empty Re: format r.b

Message par tenrev le Dim 26 Sep 2010 - 21:17

tu n'as pas besoin de programme spécifique il faut juste mettre ton fichier rb dans le répertoire plugin de sketchup et lors du démarrage de SU le plugin sera chargé en mémoire et sera utilisable aurevoir

mais j'ai peut être dit une connerie et pas bien compris ta question fou

-------------------------------------------------------------------------------------------------------------------------
je ne sais pas grand chose , mais le peu que je sache , je le partage [Vous devez être inscrit et connecté pour voir cette image]

[Vous devez être inscrit et connecté pour voir cette image]

1 PC portable MSI TITAN PRO écran 17''  win10 64 bits  intel i7 Quad core  ram 32go CG GFORCE GTX1080 avec 8go
1 casque VR Occulus Rift
1 vieux PC portable Dell sous Linux Ubuntu 18     ______      1 vieux pc portable HP sous chromebook 
8 Raspberry pi (3 raspi zero, 3 raspi 3b, 1raspi 4b 1 go de ram, 1 raspi 4b 4 go de ram ) avec Kodi - Raspian - Android - Retropie - Runeaudio - volumio  et plein de projets de mini robotique
-----------------------------------------------------
Modélisation : Sketchup - Rhino - Pconplanner
Rendu : Enscape - Keyshot - Unreal Engine - Artlantis - Twinmotion
Autres : Photoshop - Illustrator - Indesign - Vidéostudio - After Effect - Première et bien d'autres.... la liste est trop longue  [Vous devez être inscrit et connecté pour voir cette image]
tenrev
tenrev
FONDATEUR DE BIBLIO3D
FONDATEUR DE BIBLIO3D

Masculin Bélier
Humeur : excellente comme toujours
Date d'inscription : 19/01/2008
Nombre de messages : 16327
Points : 27005
Age : 57
Localisation : Dans la quatrieme dimension
Emploi : archi d'intérieur salarié

https://www.biblio3d.com

Revenir en haut Aller en bas

format r.b Empty Re: format r.b

Message par ploum le Dim 26 Sep 2010 - 21:44

juste : .rb
pas r.b.
:icon_wink:

-------------------------------------------------------------------------------------------------------------------------
" heureux les fêlés car ils laissent passer la lumière "
[Vous devez être inscrit et connecté pour voir cette image]
ploum
ploum
V.I.P.
V.I.P.

Masculin Gémeaux
Humeur : une autre question ?
Date d'inscription : 25/10/2009
Nombre de messages : 1142
Points : 1288
Age : 59
Localisation : Saint André de Cruzières, Ardèche
Emploi : menuisier, bijoux, gratte, etc.

http://g.fevre.free.fr

Revenir en haut Aller en bas

format r.b Empty Re: format r.b

Message par william bilcot le Mar 28 Sep 2010 - 21:20

bonsoir.

j'ai essayé de copier et coller le plungin, mais il ne veut pas ce coller dans le fichier plugin sketchup.
c'est pour cela que je vous demandé s'il fallait transformer le rb que j'ai mis sur mon premier message en ?????
aurevoir
william bilcot
william bilcot
Loquace
Loquace

Masculin Scorpion
Date d'inscription : 14/10/2009
Nombre de messages : 53
Points : 81
Age : 43
Localisation : bretagne
Emploi : charpentier

Revenir en haut Aller en bas

format r.b Empty Re: format r.b

Message par c.plassais le Mar 28 Sep 2010 - 21:44

Salut William,

tu le télécharges ici => [Vous devez être inscrit et connecté pour voir ce lien]
tu cliques sur "Enregister" et tu l'enregistres dans le répertoire Plugins de Sketchup (Généralement => C:\Program Files\Google\Google SketchUp 7\Plugins) et tu redémarres Sketchup

@+

Christophe
c.plassais
c.plassais
modérateur
modérateur

Masculin Gémeaux
Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 58
Localisation : Chambéry
Emploi : Responsable Gestion Atelier

http://bande.village.free.fr/

Revenir en haut Aller en bas

format r.b Empty Re: format r.b

Message par Fab le Mer 29 Sep 2010 - 8:06

Salut William, j'aime beaucoup ton avatar cela me rappelle quand je relevais des charpentes dans de veilles longères.... aurevoir

-------------------------------------------------------------------------------------------------------------------------
Dites-vous bien que dans la vie,ne pas reconnaître son talent,c'est favoriser la réussite des médiocres. [Vous devez être inscrit et connecté pour voir cette image]  :icon_wink:  :icon_wink:  
Autocad | Photoshop | Sketchup pro | The Panorama Factory | Easy Google Maps Downloader
Fab
Fab
modérateur
modérateur

Masculin Sagittaire
Humeur : Rester COOL......
Date d'inscription : 03/10/2008
Nombre de messages : 4575
Points : 4993
Age : 53
Localisation : Eure
Emploi : Dessinateur en bâtiment et génie civil

Revenir en haut Aller en bas

Revenir en haut


 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum